<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ro">
<head>
<!-- Generated by javadoc (1.8.0_241) on Wed Apr 15 17:44:52 EEST 2020 -->
<title>G-Index</title>
<meta name="date" content="2020-04-15">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="G-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">U</a>&nbsp;<a name="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../presentation/GeneratePDF.html" title="class in presentation"><span class="typeNameLink">GeneratePDF</span></a> - Class in <a href="../presentation/package-summary.html">presentation</a></dt>
<dd>
<div class="block">Clasa generatoare de pdf.</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/GeneratePDF.html#GeneratePDF--">GeneratePDF()</a></span> - Constructor for class presentation.<a href="../presentation/GeneratePDF.html" title="class in presentation">GeneratePDF</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../presentation/GeneratePDF.html#generatePdfBill-java.sql.ResultSet-">generatePdfBill(ResultSet)</a></span> - Static method in class presentation.<a href="../presentation/GeneratePDF.html" title="class in presentation">GeneratePDF</a></dt>
<dd>
<div class="block">Metoda responsabila generarii raportului in format pdf pentru generarea bonului corespunzator unei comenzi</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/GeneratePDF.html#generatePdfClient-java.sql.ResultSet-">generatePdfClient(ResultSet)</a></span> - Static method in class presentation.<a href="../presentation/GeneratePDF.html" title="class in presentation">GeneratePDF</a></dt>
<dd>
<div class="block">Metoda responsabila generarii raportului in format pdf pentru tabela Clients</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/GeneratePDF.html#generatePdfError--">generatePdfError()</a></span> - Static method in class presentation.<a href="../presentation/GeneratePDF.html" title="class in presentation">GeneratePDF</a></dt>
<dd>
<div class="block">Metoda responsabila generarii unui fisier in format pdf care contine un mesaj de eroare in cazul in
  care cantitatea disponibila este mai mica decat cantitatea comandata</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/GeneratePDF.html#generatePdfOrders-java.sql.ResultSet-">generatePdfOrders(ResultSet)</a></span> - Static method in class presentation.<a href="../presentation/GeneratePDF.html" title="class in presentation">GeneratePDF</a></dt>
<dd>
<div class="block">Metoda responsabila generarii raportului in format pdf pentru tabela Orders</div>
</dd>
<dt><span class="memberNameLink"><a href="../presentation/GeneratePDF.html#generatePdfProducts-java.sql.ResultSet-">generatePdfProducts(ResultSet)</a></span> - Static method in class presentation.<a href="../presentation/GeneratePDF.html" title="class in presentation">GeneratePDF</a></dt>
<dd>
<div class="block">Metoda responsabila generarii raportului in format pdf pentru tabela Products</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#getAddress--">getAddress()</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>
<div class="block">Metoda care returneaza adresa clientului</div>
</dd>
<dt><span class="memberNameLink"><a href="../connection/ConnectionFactory.html#getConnection--">getConnection()</a></span> - Static method in class connection.<a href="../connection/ConnectionFactory.html" title="class in connection">ConnectionFactory</a></dt>
<dd>
<div class="block">Metoda care returneaza conexiunea la baza de date creeata.</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#getId_c--">getId_c()</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>
<div class="block">Metoda care returneaza id-ul clientului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getId_c--">getId_c()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>
<div class="block">Metoda care returneaza id-ul clientului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/OrderItem.html#getId_c--">getId_c()</a></span> - Method in class model.<a href="../model/OrderItem.html" title="class in model">OrderItem</a></dt>
<dd>
<div class="block">Metoda care returneaza id-ul clientului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/OrderItem.html#getId_o--">getId_o()</a></span> - Method in class model.<a href="../model/OrderItem.html" title="class in model">OrderItem</a></dt>
<dd>
<div class="block">Metoda care returneaza id-ul comenzii</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getId_p--">getId_p()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>
<div class="block">Metoda care returneaza id-ul produsului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/OrderItem.html#getId_p--">getId_p()</a></span> - Method in class model.<a href="../model/OrderItem.html" title="class in model">OrderItem</a></dt>
<dd>
<div class="block">Metoda care returneaza id-ul produsului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getId_p--">getId_p()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>
<div class="block">Metoda care returneaza id-ul produsului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Client.html#getName--">getName()</a></span> - Method in class model.<a href="../model/Client.html" title="class in model">Client</a></dt>
<dd>
<div class="block">Metoda care returneaza numele clientului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getName--">getName()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>
<div class="block">Metoda care returneaza numele produsului</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getPrice--">getPrice()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>
<div class="block">Metoda care returneaza pretul</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getPrice--">getPrice()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>
<div class="block">Metoda care returneaza pretul</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Order.html#getQuantity--">getQuantity()</a></span> - Method in class model.<a href="../model/Order.html" title="class in model">Order</a></dt>
<dd>
<div class="block">Metoda care returneaza cantitatea</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/OrderItem.html#getQuantity--">getQuantity()</a></span> - Method in class model.<a href="../model/OrderItem.html" title="class in model">OrderItem</a></dt>
<dd>
<div class="block">Metoda care returneaza cantitatea</div>
</dd>
<dt><span class="memberNameLink"><a href="../model/Product.html#getQuantity--">getQuantity()</a></span> - Method in class model.<a href="../model/Product.html" title="class in model">Product</a></dt>
<dd>
<div class="block">Metoda care returneaza cantitatea</div>
</dd>
</dl>
<a href="index-1.html">B</a>&nbsp;<a href="index-2.html">C</a>&nbsp;<a href="index-3.html">D</a>&nbsp;<a href="index-4.html">E</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">I</a>&nbsp;<a href="index-8.html">M</a>&nbsp;<a href="index-9.html">O</a>&nbsp;<a href="index-10.html">P</a>&nbsp;<a href="index-11.html">R</a>&nbsp;<a href="index-12.html">S</a>&nbsp;<a href="index-13.html">U</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-5.html">Prev Letter</a></li>
<li><a href="index-7.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-6.html" target="_top">Frames</a></li>
<li><a href="index-6.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
